from sqlalchemy import Column, Integer, String, Text, SmallInteger
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class NewsReply(Base):
    __tablename__ = "news_reply"

    Id = Column(Integer, primary_key=True, index=True)
    Rid = Column(Integer, nullable=False)
    ParentId = Column(Integer, nullable=False)
    Title = Column(String(50), nullable=False)
    Author = Column(String(64), nullable=False)
    Description = Column(String(255), nullable=False)
    Thumb = Column(String(500), nullable=False)
    Content = Column(Text, nullable=False)
    Url = Column(String(255), nullable=False)
    Displayorder = Column(Integer, nullable=False)
    Incontent = Column(SmallInteger, nullable=False)
    Createtime = Column(Integer, nullable=False)
    MediaId = Column(String(50), nullable=False)