from sqlalchemy import Column, Integer, String, Text
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class PhoneappVersions(Base):
    __tablename__ = "phoneapp_versions"

    Id = Column(Integer, primary_key=True, index=True)
    Uniacid = Column(Integer, nullable=False)
    Version = Column(String(20), nullable=False)
    Description = Column(String(255), nullable=False)
    Modules = Column(Text, nullable=False)
    Createtime = Column(Integer, nullable=False)