from pydantic import BaseModel

class MobilenumberBase(BaseModel):
    rid: int
    enabled: int
    dateline: int | None = None

class MobilenumberCreate(MobilenumberBase):
    pass

class MobilenumberUpdate(MobilenumberBase):
    pass

class Mobilenumber(MobilenumberBase):
    id: int

    class Config:
        orm_mode = True