from sqlalchemy import Column, Integer, String, SmallInteger
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class Rule(Base):
    __tablename__ = "rule"

    Id = Column(Integer, primary_key=True, index=True)
    Uniacid = Column(Integer, nullable=False)
    Name = Column(String(50), nullable=False)
    Module = Column(String(50), nullable=False)
    Displayorder = Column(Integer, nullable=False)
    Status = Column(SmallInteger, nullable=False)
    Containtype = Column(String(100), nullable=False)